Subject: RE: Strange message from updatedb
From: "Furash Gary" <[email-masked]>
To: "Eric Blake" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 28 Feb 2007 11:16:47 -0700
List-Id: <cygwin.cygwin.com>

Okay, for a vanilla cygwin user, is there anything *I* should be doing,
or just ignore it and wait for a patch.

Thanks for helping.  I use find all the time ..

:-) 

-----Original Message-----
From: Eric Blake [mailto:[email-masked]] 
Sent: Wednesday, February 28, 2007 6:19 AM
Cc: Furash Gary; [email-masked]
Subject: Re: Strange message from updatedb

According to Phil Edwards on 2/27/2007 11:50 AM:
> On 2/27/07, Furash Gary <[email-masked]> wrote:
>> /cygdrive/c/System\ Volume\ Information
> 
> Quotes and backslashes aren't going to solve the problem, I think.  I 
> looked at updatedb (it's a shell script), and the --prunepaths 
> argument is passed through a sed script which replaces spaces in order

> to turn it all into a regexp.  There's no way of telling sed to avoid 
> some spaces and translate others.

I've reported this upstream.  I also agree with Enrico's suggestion of
using . instead of a quoted space, since that is the regex character
that will match a space:

updatedb --prunepaths='/cygdrive/c/WINDOWS /cygdrive/e /cygdrive/d
/cygdrive/z cygdrive/y /proc /cygdrive/c/System.Volume.Information
/usr /var
/cygdrive/c/Documents.and.Settings/furashg/Local.Settings/Temporary.Inte
rnet.Files
/usr/bin /cygdrive/c/System.Volume.Information /c/cygwin'

> 
> You used to be able to set the internal PRUNEREGEX variable directly, 
> in a .conf file, but apparently that file is only used under Linux 
> versions of updatedb, or something.

Perhaps that was in distro-modified versions.  I just included updatedb
as it is upstream, plus a single patch to recognize that on cygwin, the
filesystem recognition code doesn't work very well.

> 
> Most lists of dirs are passed around with colon (or some such) 
> separators to avoid just such problems with paths containing 
> whitespace.  updatedb is still living in the 80's.
> 

I agree that directory name lists should look like a PATH, and not be
space separated, but we will see what the upstream maintainer thinks.

- --
Don't work too hard, make some time for fun as well!

Eric Blake             [email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/